%define upstream_name	 Object-Accessor
%define upstream_version 0.48

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Add a Makefile target to determine test coverage using Devel::Cover
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Check) >= 0.340.0
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
Object::Accessor provides an interface to create per object accessors (as
opposed to per Class accessors, as, for example, Class::Accessor provides).

You can choose to either subclass this module, and thus using its accessors on
your own module, or to store an Object::Accessor object inside your own object,
and access the accessors from there. See the SYNOPSIS for examples.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Object
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.480.0-11.mga9
+ Revision: 1805012
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.480.0-10.mga8
+ Revision: 1496133
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.480.0-9.mga7
+ Revision: 1270211
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.480.0-8.mga6
+ Revision: 1031378
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.480.0-7.mga6
+ Revision: 948563
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.480.0-6.mga5
+ Revision: 788012
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.480.0-5.mga5
+ Revision: 741795
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.480.0-4.mga5
+ Revision: 685774
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.480.0-3.mga5
+ Revision: 588005
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 0.480.0-2.mga4
+ Revision: 527590
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.480.0-1.mga4
+ Revision: 441437
- update to 0.48

* Mon Jun 03 2013 jquelin <jquelin> 0.460.0-1.mga4
+ Revision: 436358
- update to 0.46

* Wed Mar 27 2013 jquelin <jquelin> 0.440.0-5.mga3
+ Revision: 405515
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.440.0-4.mga3
+ Revision: 371088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.440.0-3.mga3
+ Revision: 315530
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.440.0-2.mga3
+ Revision: 284594
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.440.0-1.mga3
+ Revision: 254243
- update to 0.44

* Fri Nov 04 2011 jquelin <jquelin> 0.420.0-2.mga2
+ Revision: 162838
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 112072
- update to 0.42

* Fri Feb 25 2011 jquelin <jquelin> 0.380.0-2.mga1
+ Revision: 59592
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.380.0-1.mga1
+ Revision: 34048
- mageia rebuild
- imported package perl-Object-Accessor


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.380.0-1mdv2011.0
+ Revision: 630633
- update to new version 0.38

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2011.0
+ Revision: 461336
- update to 0.36

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.0
+ Revision: 402000
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.34-2mdv2009.0
+ Revision: 268644
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.0
+ Revision: 209330
- update to new version 0.34

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.32-1mdv2008.0
+ Revision: 22626
- 0.32


* Tue Aug 29 2006 guillomovitch
+ 2006-08-29 10:39:53 (58595)
- new version

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 15:02:54 (43227)
- import perl-Object-Accessor-0.20-1mdv2007.0

* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2007.0
- New version 0.20

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-2mdk
- Buildrequires fix

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdk
- New release 0.12

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdk 
- first mandrivalinux release

